Keycloakの複数の脆弱性情報(Important: CVE-2019-10201, Moderate: CVE-2019-10199)

こんにちは。SIOS OSSエバンジェリスト/セキュリティ担当の面 和毅です。

08/19/2019にKeycloakの複数の脆弱性情報(Important: CVE-2019-10201, Moderate: CVE-2019-10199)が公開されています。今回はこれらの脆弱性の概要と、各ディストリビューションの対応について簡単にまとめてみます。




Priority

  • CVE-2019-10201

    Important

    • SuSE
    • Red Hat Customer Potal
      • CVSS v3 Base Score: 8.1
      • Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:N/S:U/C:H/I:H/A:N
    • NVD
  • CVE-2019-10199

    Moderate

    • SuSE
    • Red Hat Customer Potal
      • CVSS v3 Base Score: 4.6
      • Vector: CVSS:3.0/AV:N/AC:L/PR:L/UI:R/S:U/C:L/I:L/A:N
    • NVD

修正方法

各ディストリビューションの情報を確認してください。

CVE概要(詳細はCVEのサイトをご確認ください)

  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10201
    • ユーザの偽装による重要な情報へのアクセスの可能性
    • 重要度 - Important
    • KeycloakのSAML ブローカーでは、メッセージのシグネチャの消失を検証していませんでした。攻撃者がSAML Responseを修正しセクションを削除した場合、メッセージは許可され、修正が可能です。攻撃者はこれを利用して他のユーザを装い重要な情報にアクセスすることが可能です。
  • http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2019-10199
    • ユーザの偽装による重要な情報へのアクセスの可能性
    • 重要度 - Moderate
    • Keycloakのアカウントコンソールでは幾つかのリクエストに対してヘッダの不足をきちんとチェックしていませんでした。攻撃者はこれを利用して、認証されていないユーザーに、信頼できないドメインからのリクエストを介して操作を実行させる事が出来る可能性があります。

主なディストリビューションの対応方法

詳細は、各ディストリビューションの提供元にご確認ください


対処方法

各ディストリビューションの案内に従い、アップデートを行ってください。全てのRed Hat製品でパッチが行き渡っているかを確認するには、Red Hat SatelliteKatello、Spacewalk等を使うと管理が便利でしょう。

また、サービスの再起動が発生しますので、peacemakerなどOSSのクラスタ製品やLifeKeeperなどの商用のクラスタリング製品を使うとサービス断の時間を最小限にすることが出来ます。


セキュリティ系連載案内


セミナー情報1

コンピュータセキュリティシンポジウム2019(長崎)が2019年10月21日(月) ~ 10月24日(木)で開催されます。

こちらですが、OSSセキュリティ技術の会も後援になっており、オープンソースソフトウェア(OSS)セキュリティ技術トラック(略称:OWSトラック) も用意しております。

セミナー情報2

"distro info": vol.1 と題しまして、各種ディストリビューションの情報を関係者から直接お届けするイベント「distro info」が開催されます。

今回は、先日リリースされたDebian10について、Debianの概要から含めての説明〜Debian10での特徴の紹介をします。ざっくり概要を把握されたい方から、発表者に確認の質問をしてみたい方までどうぞご参加下さい。

また、先月末にブラジルでDebian Conferenceが行われましたのでその紹介を行います。「Debianのカンファレンスってこんなのなんだな」というのを現地エピソードなど交えてお話します。


OSSに関するお困りごとは サイオス OSSよろず相談室まで

サイオスOSSよろず相談室 では、OSSを利用する中で発生する問題に対し、長年培ってきた技術力・サポート力をもって企業のOSS活用を強力に支援します。Red Hat Enterprise Linux のほか、CentOS をご利用されている環境でのサポートも提供いたします。

前へ

Linux Kernelの脆弱性情報(Important: CVE-2019-9506)

次へ

Linux Kernelの複数の脆弱性情報(Moderate: CVE-2019-15211, CVE-2019-15212, CVE-2019-15213, CVE-2019-15214)